POST /buyer_suppressions

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/buyer_suppressions

Create suppression list.

Creates a new suppression list that can then be attached to offers, schedules, or buyers to block matching phone numbers from reaching them. Restricted to account superusers.

Params

Param name Description
name
Required

Name

  • Must be a String

import_file
Optional

Import File

  • Must be a valid file upload.

caller_id_column_name
Optional Blank value allowed

Caller Id Column Name

  • Must be a String

buyer_ids
Optional Blank value allowed

The list of internal buyer ID’s that will use this suppression list.

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Buyer. Refer to: /api/docs/1.0/buyers

headers
Optional Blank value allowed

The column headers found in the uploaded CSV file, used to populate the choices for caller_id_column_name.

  • Must be an array of strings. EG: ["abc123", "xzy023"]

add_buyer_ids
Optional Blank value allowed

Append buyers to this record.
For example pass: [100123,100124] in order to append 100123, and 100124 to the list of buyers in the record.
<strong>This is useful when making parallel PUT requests with different add_buyer_ids or remove_buyer_ids values. These add/remove assignments are thread safe.</strong>

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Buyer. Refer to: /api/docs/1.0/buyers

remove_buyer_ids
Optional Blank value allowed

Remove buyers from the record.
For example pass: [100123] in order to delete 100123 from the list of buyers in the record.

  • Must be a valid array of integers. Each integer ID must be a valid foreign key reference to an Buyer. Refer to: /api/docs/1.0/buyers

add_user_buyer_ids
Optional Blank value allowed

Append buyers to the record using the buyer field user_buyer_id
For example pass: ["loan-22-en", "loan-23-fr"]

  • Must be an array of strings. EG: ["abc123", "xzy023"]

remove_user_buyer_ids
Optional Blank value allowed

Remove buyers from the record using buyer field user_buyer_id
For example pass: ["loan-23-fr"]

  • Must be an array of strings. EG: ["abc123", "xzy023"]